Interface Technology Basics VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups
Classes | Namespaces | Macros | Typedefs | Functions
ipluginbase.h File Reference
`#include "funknown.h"`
`#include "fstrdefs.h"`

## Classes
class | IPluginBase
| Basic interface to a plug-in component: IPluginBase. More...
struct | PFactoryInfo
| Basic Information about the class factory of the plug-in. More...
struct | PClassInfo
| Basic Information about a class provided by the plug-in. More...
class | IPluginFactory
| Class factory that any plug-in defines for creating class instances: IPluginFactory. More...
struct | PClassInfo2
| Version 2 of Basic Information about a class provided by the plug-in. More...
class | IPluginFactory2
| Version 2 of class factory supporting PClassInfo2: IPluginFactory2. More...
struct | PClassInfoW
| Unicode Version of Basic Information about a class provided by the plug-in. More...
class | IPluginFactory3
| Version 3 of class factory supporting PClassInfoW: IPluginFactory3. More...

## Namespaces
namespace | Steinberg
| This header provides classes for working with FUnknown.

## Macros
#define | LICENCE_UID(l1, l2, l3, l4)

## Typedefs
typedef Steinberg::IPluginFactory *(* | GetFactoryProc )()

## Functions
SMTG_EXPORT_SYMBOL Steinberg::IPluginFactory * | GetPluginFactory ()
| Plug-in entry point.

## Macro Definition Documentation

#define LICENCE_UID | ( |  | l1,
|  |  | l2,
|  |  | l3,
|  |  | l4
| ) |  |

Value:
{ \
(int8)((l1 & 0xFF000000) >> 24), (int8)((l1 & 0x00FF0000) >> 16), \
(int8)((l1 & 0x0000FF00) >> 8), (int8)((l1 & 0x000000FF) ), \
(int8)((l2 & 0xFF000000) >> 24), (int8)((l2 & 0x00FF0000) >> 16), \
(int8)((l2 & 0x0000FF00) >> 8), (int8)((l2 & 0x000000FF) ), \
(int8)((l3 & 0xFF000000) >> 24), (int8)((l3 & 0x00FF0000) >> 16), \
(int8)((l3 & 0x0000FF00) >> 8), (int8)((l3 & 0x000000FF) ), \
(int8)((l4 & 0xFF000000) >> 24), (int8)((l4 & 0x00FF0000) >> 16), \
(int8)((l4 & 0x0000FF00) >> 8), (int8)((l4 & 0x000000FF) ) \
}

## Typedef Documentation

typedef Steinberg::IPluginFactory*( * GetFactoryProc)()

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.